/*--------------------------------------------*/
/*----------------header files----------------*/
/*--------------------------------------------*/
#include <REG51xD2.H>
#include "SPI.h"
#include "LCD.h"
#include "MODBUS.h"
#include "screen_button.h"

void main(){
 	CKCON0 = 0x01;			 		// nastavení dvojnásobné rychlosti vykonání instrukce 1/6 hodinového kmitoctu
	AUXR = 0x10;			 		// nastavení XRAM na 1792bytes
	init_SPI();			     		// inicializace SPI
	init_LCD();		   	     		// inicializace LCD
	LCDClearScreen(WHITE);	 		// smazání LCD
	init_prom_modbus();		 		// inicializace promenných pro MODBUS
	init_modbus();			 		// inicializace MODBUS + nastavení sériové linky
	init_output_input_setting();	// inicializace promenných vstupu,vystupu a nastaveni
	main_page();  			 		// vykreslení hlavní stránky na LCD
    SendLCD(LCDCommand,DISPON); 	// zapnutí LCD
	LCD_LED_ON(0);					// zapnutí  podsvetlení LCD

/*---------cyklické volání---------*/
	while(1){
		button();					// cyklické ctení stavu tlacítek(i modbus button) 
		modbus();				    // modbus 
		cyclic_write_read_IO();		// cyklické ctení/zápis dig.input,dig.output,analog.input,analog.output
	}
}


												 

